14 Replies Latest reply on Apr 25, 2017 6:32 PM by Intel Corporation

    Error when attempting to install librealsense - ZR300 Ubuntu 16.04

    LanceLocey

      I just got a ZR300.

      I'm following the instructions found here:

      librealsense/installation.md at master · IntelRealSense/librealsense · GitHub

       

      Near the bottom it says I need to run the script:

       

      ./scripts/patch-realsense-ubuntu-xenial.sh

       

      When I run the script, I am asked a series of questions (about 60) regarding new items in the Kernel. Not knowing any better, I take the default answer for each instance.

       

      For example, the first question I am presented with is:

       

      Memory Resource Controller Kernel Memory accounting (MEMCG_KMEM) [N/y/?] (NEW)

       

      After hitting enter at each question, I get the following:

      Patched kernel module created successfully

       

      Unloading module uvcvideo

       

      Applying patched module uvcvideo

      modprobe: ERROR: could not insert 'uvcvideo': Required key not available

      Failed to insert the patched module. Operation is aborted, the original module is restored

      Verify that the current kernel version is aligned to the patched module version

      ./scripts/patch-utils.sh: line 45: [: backup_available: integer expression expected

       

      A little googling suggests that a workaround might be here:

      drivers - Ubuntu 16.04 kernel 4.4.0-21 not loading nvidia/vboxdrv modules anymore (Required key not available) - Ask Ubu…

       

      Does anyone know why this doesn't work?